<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Modal</title>
		<link href="/dojo-release-1.12.2-src/dijit/themes/claro/claro.css" rel="stylesheet" type="text/css">
		<link href="../../css/class-scheduler.css" rel="stylesheet" type="text/css">
		<script src="../../dojoConfig.js"></script>
		<script src="/dojo-release-1.12.2-src/dojo/dojo.js"></script>
		<script>
require([
	'classScheduler/Modal/ModalEditClassTimeBlock',
	'classScheduler/RoomTable/timeUtils',
	'dojo/domReady!'
],
function (ModalEditClassTimeBlock, timeUtils, dojoDomReady) {
	var modalEditClassTimeBlock = new ModalEditClassTimeBlock({
		timeBlock : timeUtils.normalizeTimeBlock({
			startMins : 600,
			endMins : 660
		})
	});
	modalEditClassTimeBlock.placeAt(document.body);

	var show = document.getElementById('showModalEditClassTimeBlock');
	show.onclick = function () {
		modalEditClassTimeBlock.show();
	};
});
		</script>
	</head>
	<body class="claro classScheduler">
		<button id="showModalEditClassTimeBlock">Show ModalEditClassTimeBlock</button>
	</body>
</html>

